Bug 1053008 - [abrt] xorg-x11-server-Xephyr: OsAbort(): Xephyr killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xephyr: OsAbort(): Xephyr killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ec910643ea91cb90eb2c66ca67c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 15:03 UTC by naoto azuma
Modified: 2015-06-29 14:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:26:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.70 KB, text/plain)
2014-01-14 15:03 UTC, naoto azuma
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: core_backtrace (8.42 KB, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: dso_list (2.94 KB, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: environ (1.82 KB, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: maps (17.23 KB, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: open_fds (40 bytes, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details
File: var_log_messages (202 bytes, text/plain)
2014-01-14 15:04 UTC, naoto azuma
no flags Details

Description naoto azuma 2014-01-14 15:03:46 UTC
Version-Release number of selected component:
xorg-x11-server-Xephyr-1.14.4-5.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        Xephyr :1 -parent 92284800 -grayscale -query 192.168.1.17
crash_function: OsAbort
executable:     /usr/bin/Xephyr
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 OsAbort at utils.c:1303
 #3 AbortDDX at kdrive.c:237
 #4 AbortServer at log.c:767
 #5 FatalError at log.c:908
 #6 OsSigHandler at osinit.c:147
 #8 ??
 #9 dest_get_scanline_narrow at pixman-bits-image.c:1531
 #10 general_composite_rect at pixman-general.c:197
 #11 pixman_image_composite32 at pixman.c:707
 #12 pixman_image_composite at pixman.c:730

Potential duplicate: bug 976255

Comment 1 naoto azuma 2014-01-14 15:03:57 UTC
Created attachment 849991 [details]
File: backtrace

Comment 2 naoto azuma 2014-01-14 15:04:16 UTC
Created attachment 849992 [details]
File: cgroup

Comment 3 naoto azuma 2014-01-14 15:04:19 UTC
Created attachment 849993 [details]
File: core_backtrace

Comment 4 naoto azuma 2014-01-14 15:04:21 UTC
Created attachment 849994 [details]
File: dso_list

Comment 5 naoto azuma 2014-01-14 15:04:25 UTC
Created attachment 849995 [details]
File: environ

Comment 6 naoto azuma 2014-01-14 15:04:29 UTC
Created attachment 849996 [details]
File: limits

Comment 7 naoto azuma 2014-01-14 15:04:31 UTC
Created attachment 849997 [details]
File: maps

Comment 8 naoto azuma 2014-01-14 15:04:34 UTC
Created attachment 849998 [details]
File: open_fds

Comment 9 naoto azuma 2014-01-14 15:04:49 UTC
Created attachment 849999 [details]
File: proc_pid_status

Comment 10 naoto azuma 2014-01-14 15:04:52 UTC
Created attachment 850000 [details]
File: var_log_messages

Comment 11 moshe 2014-02-13 22:31:14 UTC
Another user experienced a similar problem:

ran Xephyr with the -fakexa option then tried to run gnome-session inside it:

$ Xephyr -ac -br -fakexa -noreset -screen 800x600 :1  &
$ DISPLAY=:1 gnome-session --debug -f

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        Xephyr -ac -br -fakexa -noreset -screen 800x600 :1
crash_function: OsAbort
executable:     /usr/bin/Xephyr
kernel:         3.12.10-300.fc20.x86_64
package:        xorg-x11-server-Xephyr-1.14.4-6.fc20
reason:         Xephyr killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Fedora End Of Life 2015-05-29 10:29:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:26:49 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.